    View Javadoc
    1   package org.apache.bcel.classfile;
    2
    3   /* ====================================================================
    4    * The Apache Software License, Version 1.1
    5    *
    6    * Copyright (c) 2001 The Apache Software Foundation.  All rights
    7    * reserved.
    8    *
    9    * Redistribution and use in source and binary forms, with or without
    10   * modification, are permitted provided that the following conditions
    11   * are met:
    12   *
    13   * 1. Redistributions of source code must retain the above copyright
    14   *    notice, this list of conditions and the following disclaimer.
    15   *
    16   * 2. Redistributions in binary form must reproduce the above copyright
    17   *    notice, this list of conditions and the following disclaimer in
    18   *    the documentation and/or other materials provided with the
    19   *    distribution.
    20   *
    21   * 3. The end-user documentation included with the redistribution,
    22   *    if any, must include the following acknowledgment:
    23   *       "This product includes software developed by the
    24   *        Apache Software Foundation (http://www.apache.org/)."
    25   *    Alternately, this acknowledgment may appear in the software itself,
    26   *    if and wherever such third-party acknowledgments normally appear.
    27   *
    28   * 4. The names "Apache" and "Apache Software Foundation" and
    29   *    "Apache BCEL" must not be used to endorse or promote products
    30   *    derived from this software without prior written permission. For
    31   *    written permission, please contact apache@apache.org.
    32   *
    33   * 5. Products derived from this software may not be called "Apache",
    34   *    "Apache BCEL", nor may "Apache" appear in their name, without
    35   *    prior written permission of the Apache Software Foundation.
    36   *
    37   * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
    38   * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
    39   * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    40   * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
    41   * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
    42   * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
    43   * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
    44   * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    45   * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
    46   * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
    47   * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
    48   * SUCH DAMAGE.
    49   * ====================================================================
    50   *
    51   * This software consists of voluntary contributions made by many
    52   * individuals on behalf of the Apache Software Foundation.  For more
    53   * information on the Apache Software Foundation, please see
    54   * <http://www.apache.org/>;.
    55   */
    56
    57  import org.apache.bcel.Constants;
    58  import java.io.*;
    59
    60  /***
    61   * This class represents a constant pool reference to a field.
    62   *
    63   * @version $Id: ConstantFieldref.java,v 1.2 2002/03/11 16:16:35 mdahm Exp $
    64   * @author  <A HREF="mailto:markus.dahm@berlin.de">M. Dahm</A>
    65   */
    66  public final class ConstantFieldref extends ConstantCP {
    67    /***
    68     * Initialize from another object.
    69     */
    70    public ConstantFieldref(ConstantFieldref c) {
    71      super(Constants.CONSTANT_Fieldref, c.getClassIndex(), c.getNameAndTypeIndex());
    72    }
    73
    74    /***
    75     * Initialize instance from file data.
    76     *
    77     * @param file input stream
    78     * @throws IOException
    79     */
    80    ConstantFieldref(DataInputStream file) throws IOException
    81    {
    82      super(Constants.CONSTANT_Fieldref, file);
    83    }
    84
    85    /***
    86     * @param class_index Reference to the class containing the Field
    87     * @param name_and_type_index and the Field signature
    88     */
    89    public ConstantFieldref(int class_index,
    90  			   int name_and_type_index) {
    91      super(Constants.CONSTANT_Fieldref, class_index, name_and_type_index);
    92    }
    93
    94    /***
    95     * Called by objects that are traversing the nodes of the tree implicitely
    96     * defined by the contents of a Java class. I.e., the hierarchy of Fields,
    97     * fields, attributes, etc. spawns a tree of objects.
    98     *
    99     * @param v Visitor object
    100    */
    101   public void accept(Visitor v) {
    102     v.visitConstantFieldref(this);
    103   }
    104 }

This page was automatically generated by Maven